<?php

$category = array(
	'1' => 'nowinki',
	'2' => 'opisy',
	'3' => 'OFF',
	'5' => 'rozmowy',
	'6' => 'wynalazki',
	'7' => 'poradniki',
	'8' => 'biblioteka',
	'9' => 'stragan',
	'10' => 'archiwum',
	'11' => 'galerie',
	'13' => 'zloty',
	'14' => 'źródełka',
);

$query = $_GET['q'];
$column = 'title';

if (substr($query, 0, 2) === 'c:') {
	$column = 'content';
	$query = explode('c:', $query)[1];
}

$query = SQLite3::escapeString($query);

$db = new SQLite3('aol.db');

$stm = $db->prepare("SELECT id, author, title, category FROM news WHERE $column LIKE :query ORDER BY id");
$stm->bindValue(':query', "%$query%", SQLITE3_TEXT);
$res = $stm->execute();

?>

<!doctype html>
<html lang="pl">
<style>
body { 
  background-image: url('joy.png');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-color: #dcdbdb;
  margin: 0;
}

.searchBar {
	margin: auto;
	padding-top: 10px;
	padding-bottom: 10px;
	z-index: 1;
	text-align: center;
	overflow-y: auto;
	background-color: #dcdbdb;
	position: sticky;
	top: 0px;
}

input[type=text] {
  width: 200px;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  font-size: 16px;
  background-color: white;
  background-image: url('searchicon.png');
  background-position: 10px 10px; 
  background-repeat: no-repeat;
  padding: 10px 20px 10px 40px;
}

.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 61px; }

#news {
  font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: auto;
  top: 10%;
}

#news td, #news th {
  border: 1px solid #ddd;
  padding: 8px;
}

#news tr {
	background-color: rgba(255,255,255,0.95);
}

/*
#news tr:nth-child(even){
	background-color: rgba(242,242,242,0.95);
}
#news tr:nth-child(odd){
	background-color: rgba(255,255,255,0.95);
}
*/

#news tr:hover {background-color: #ddd;}

#news th {
  padding-top: 10px;
  padding-bottom: 10px;
  text-align: left;
  background-color: #4CAF50;
  color: white;
}
</style>
<head>
  <meta charset="utf-8">

  <title>AtariOnline.pl WayBack Archive</title>
  <!--
  <link rel="stylesheet" href="css/styles.css?v=1.0">
  -->

</head>
<body>
	<div class="searchBar">
		<div style="display: flex; justify-content:center; text-align: center;">
		    <form action="">
		    	<input type="text" placeholder="Szukaj..." name="q" style="float: left; margin-right: 20px;">
		    </form>		
			<input id="myInput" type="text" placeholder="Filtruj tabelę..." autofocus>			
		</div>
	</div>
	<table id="news" class="tableFixHead" style="margin: auto;">
		<thead>
			<tr>
				<th>Lp.</th>
				<th>Data</th>
				<th>Autor</th> 
				<th>Tytuł</th>
				<th>Kategoria</th>
				<th>link</th>
	    	</tr>			
		</thead>	
		<tbody>
		<?php
		$i = 0;
		while($arrNews = $res->fetchArray(SQLITE3_ASSOC)){
			echo '<tr>'
				. '<td>' . ++$id . '</td>'
				. '<td>' . date("Y-m-d H:i:s", $arrNews['id']) . '</td>'
				. '<td>' . $arrNews['author'] . '</td>'
				. '<td>' . $arrNews['title'] . '</td>'
				. '<td>' . $category[$arrNews['category']] . '</td>'
				. '<td><a href="/' . $arrNews['id'] . '" target="_blank">link</a></td>'
			. '</tr>';
		}
		?>
		</tbody>
	</table>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<script>
	$(document).ready(function(){
	  $("#myInput").on("keyup", function() {
	    var value = $(this).val().toLowerCase();
	    $("#news tr:not(:first)").filter(function() {
	      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
	    });
	  });
	});
	</script>
</body>
</html>